package xyz.thastertyn.UserInterface.Content;

import java.util.ArrayList;

import com.googlecode.lanterna.TextColor.ANSI;
import com.googlecode.lanterna.gui2.Direction;
import com.googlecode.lanterna.gui2.GridLayout;
import com.googlecode.lanterna.gui2.Label;
import com.googlecode.lanterna.gui2.LinearLayout;
import com.googlecode.lanterna.gui2.Panel;

import xyz.thastertyn.UserInterface.Listeners.UpdateListener;

public class Sdeleni extends JecnaContent {
	
	private xyz.thastertyn.Scrape.Sdeleni sdeleni = new xyz.thastertyn.Scrape.Sdeleni();
	
	public Sdeleni(UpdateListener listener)
	{
		super(listener);
		this.mainPanel = new Panel().setLayoutManager(new GridLayout(1)
			.setLeftMarginSize(1)
			.setRightMarginSize(1));
		this.borderLabel = new Label("Sdeleni R.");
		super.scraper = this.sdeleni;
	}

	@Override
	protected void setGUI()
	{
		mainPanel.removeAllComponents();

		ArrayList<xyz.thastertyn.Types.Sdeleni> sdeleniList = sdeleni.getSdeleni();

		for(xyz.thastertyn.Types.Sdeleni sdeleni : sdeleniList)
		{
			Panel row = new Panel().setLayoutManager(new LinearLayout(Direction.HORIZONTAL));
			

			Label check = new Label("");
			Label text = new Label(sdeleni.getText());

			if(sdeleni.isPositive())
			{
				check.setForegroundColor(ANSI.GREEN);
				check.setText("✓");
			}else{
				check.setForegroundColor(ANSI.RED);
				check.setText("✗");
			}

			row.addComponent(check)
			.addComponent(text)
			.addTo(mainPanel);
		}
	}
}
